Bug 252401 - Winelib program does not receive WM_LBUTTONDOWN msg
Winelib program does not receive WM_LBUTTONDOWN msg
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Centanni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 16:10 EDT by Ed Centanni
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 10:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Centanni 2007-08-15 16:10:32 EDT
Description of problem:
Program using winelib does not receive the WM_LBUTTONDOWN message reliably.  If
I change focus to another application and then back to the subject program the
WM_LBUTTONDOWN message will be received once or twice and then quits.  Mouse
move works reliably.

Version-Release number of selected component (if applicable):
winelib 0.9.42

How reproducible:
very

Steps to Reproduce:
1. write program that handles the WM_LBUTTONDOWN message and outputs trace 
2. start program and click on the main window 
3. You will not get the message reliably and it will soon stop
4. change focus to another window/application and back.
5. click on main window to see only one or two mouse button down messages
  
Actual results:
See above

Expected results:
You should receive a WM_LBUTTONDOWN message every time you click on the window

Additional info:
Comment 1 Matěj Cepl 2007-08-15 19:44:07 EDT
Is this CentOS or something similar?

For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket,
or alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1
to speak directly with a support associate and escalate an issue.

Otherwise, thanks for the bug report.  We have reviewed the information you have
provided above, and there is some additional information we require that will be
helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-08-16 08:39:26 EDT
Just to emphasize, that if you actually use CentOS (or some other RHEL-derived
distro) then it doesn't mean by any means, that I would be closing this bug.
Just that it would (and should) be treated as any other Fedora bug, that is with
all respect necessary.
Comment 3 Ed Centanni 2007-08-16 09:40:45 EDT
This bug should be closed here.  It does not involve Red Hat specifically. I
posted it here erroneously thinking it would concern the Red Hat winelib package
maintainer.  I have localized the problem to a specific winelib call and have
posted the bug to the winehq bugzilla where it belongs.  Sorry for wasting your
time. Thanks for the response.



Comment 4 Ed Centanni 2007-08-16 09:43:09 EDT
Unable to change status to NOTABUG.  Please remove or resolve bug.
Comment 5 Matěj Cepl 2007-08-16 09:49:10 EDT
Just for bureaucracy sake, could you post here reference to the upstream bug
reporting system, please? I will close it as UPSTREAM (which is the correct
resolution, IMHO) then.
Comment 6 Ed Centanni 2007-08-16 09:56:22 EDT
http://bugs.winehq.org/show_bug.cgi?id=9333 is the external bugzilla link. 
Could not find winehq in the Add Reference Location drop down.
Comment 7 Matěj Cepl 2007-08-16 10:02:29 EDT
Thanks a lot. No, we don't have every possible bugzilla in the external bugzilla
links (which I hate myself, but cannot change it), so your URL has to suffice.
The main purpose anyway is to allow somebody with the same problem to go towards
the real solution of the problem, which supposedly will happen upstream.

Thanks a lot for the cooperation again.

Note You need to log in before you can comment on or make changes to this bug.